import { OnChanges, ChangeDetectorRef, OnInit, OnDestroy } from '@angular/core';
import { GithubButtonService } from './service';
export declare class GithubButtonComponent implements OnChanges, OnInit, OnDestroy {
    private srv;
    private cdr;
    private notify$;
    typeToLabel: {
        stargazers: string;
        subscribers: string;
        forks: string;
    };
    typeToPath: {
        forks: string;
    };
    count: number;
    type: 'stargazers' | 'subscribers' | 'forks';
    size: 'default' | 'large';
    namespace: string;
    repo: string;
    showZero: boolean;
    readonly repo_url: string;
    readonly count_url: string;
    constructor(srv: GithubButtonService, cdr: ChangeDetectorRef);
    private setCount;
    ngOnInit(): void;
    ngOnChanges(): void;
    ngOnDestroy(): void;
}
